<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Train Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classTrain-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Train Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Train:</div>
<div class="dyncontent">
<div class="center"><img src="classTrain__inherit__graph.png" border="0" usemap="#aTrain_inherit__map" alt="Inheritance graph"/></div>
<map name="aTrain_inherit__map" id="aTrain_inherit__map">
<area shape="rect" title=" " alt="" coords="113,80,167,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Train:</div>
<div class="dyncontent">
<div class="center"><img src="classTrain__coll__graph.png" border="0" usemap="#aTrain_coll__map" alt="Collaboration graph"/></div>
<map name="aTrain_coll__map" id="aTrain_coll__map">
<area shape="rect" title=" " alt="" coords="113,80,167,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="160,5,259,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:af62e13e55070a7a51ab900d938eb2c87"><td class="memItemLeft" align="right" valign="top"><a id="af62e13e55070a7a51ab900d938eb2c87"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedTreasureInWagon</b> (<a class="el" href="classTreasure.html">Treasure</a> *t, <a class="el" href="classWagon.html">Wagon</a> *w)</td></tr>
<tr class="separator:af62e13e55070a7a51ab900d938eb2c87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5e0611852ecb65f22127a02e4a77b2e"><td class="memItemLeft" align="right" valign="top"><a id="ac5e0611852ecb65f22127a02e4a77b2e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedPlayerInWagon</b> (<a class="el" href="classPlayer.html">Player</a> *, <a class="el" href="classWagon.html">Wagon</a> *)</td></tr>
<tr class="separator:ac5e0611852ecb65f22127a02e4a77b2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4e6e43082359f922d45f30bb73aeb64"><td class="memItemLeft" align="right" valign="top"><a id="aa4e6e43082359f922d45f30bb73aeb64"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedWagon</b> (<a class="el" href="classWagon.html">Wagon</a> *)</td></tr>
<tr class="separator:aa4e6e43082359f922d45f30bb73aeb64"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:abe089f0099498995d938440e26afd31d"><td class="memItemLeft" align="right" valign="top"><a id="abe089f0099498995d938440e26afd31d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedTreasureInWagonInTrain</b> (<a class="el" href="classTreasure.html">Treasure</a> *t, <a class="el" href="classWagon.html">Wagon</a> *w, <a class="el" href="classTrain.html">Train</a> *train)</td></tr>
<tr class="separator:abe089f0099498995d938440e26afd31d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae73a14d5d8e0299f95bd19e0e30895c0"><td class="memItemLeft" align="right" valign="top"><a id="ae73a14d5d8e0299f95bd19e0e30895c0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedPlayerInWagonInTrain</b> (<a class="el" href="classPlayer.html">Player</a> *, <a class="el" href="classWagon.html">Wagon</a> *, <a class="el" href="classTrain.html">Train</a> *)</td></tr>
<tr class="separator:ae73a14d5d8e0299f95bd19e0e30895c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69ce4f19345ce1d9b8d78b2aaba4c4ae"><td class="memItemLeft" align="right" valign="top"><a id="a69ce4f19345ce1d9b8d78b2aaba4c4ae"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>clickedWagonInTrain</b> (<a class="el" href="classWagon.html">Wagon</a> *w, <a class="el" href="classTrain.html">Train</a> *train)</td></tr>
<tr class="separator:a69ce4f19345ce1d9b8d78b2aaba4c4ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af1fbd404396019f98ec0a5bcc015b690"><td class="memItemLeft" align="right" valign="top"><a id="af1fbd404396019f98ec0a5bcc015b690"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Train</b> (std::vector&lt; <a class="el" href="classWagon.html">Wagon</a> * &gt;)</td></tr>
<tr class="separator:af1fbd404396019f98ec0a5bcc015b690"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74f3d20341b413186d60c60ab6d13d6a"><td class="memItemLeft" align="right" valign="top"><a id="a74f3d20341b413186d60c60ab6d13d6a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Train</b> (<a class="el" href="classWagonArray.html">WagonArray</a> &amp;wa)</td></tr>
<tr class="separator:a74f3d20341b413186d60c60ab6d13d6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f8b608d1c3dcd4a566ea7dc302b7dca"><td class="memItemLeft" align="right" valign="top"><a id="a6f8b608d1c3dcd4a566ea7dc302b7dca"></a>
<a class="el" href="classWagonArray.html">WagonArray</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>getWagons</b> ()</td></tr>
<tr class="separator:a6f8b608d1c3dcd4a566ea7dc302b7dca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aded5018fd177bbdb8626264d0b358dce"><td class="memItemLeft" align="right" valign="top"><a id="aded5018fd177bbdb8626264d0b358dce"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getWagonIndex</b> (<a class="el" href="classWagon.html">Wagon</a> *)</td></tr>
<tr class="separator:aded5018fd177bbdb8626264d0b358dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a974ca7df390e4ae8dee6f9eeafff1515"><td class="memItemLeft" align="right" valign="top"><a id="a974ca7df390e4ae8dee6f9eeafff1515"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_back</b> (<a class="el" href="classWagon.html">Wagon</a> *w)</td></tr>
<tr class="separator:a974ca7df390e4ae8dee6f9eeafff1515"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5f134fe85aa27684e3504667a8c3ba6"><td class="memItemLeft" align="right" valign="top"><a id="ad5f134fe85aa27684e3504667a8c3ba6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_front</b> (<a class="el" href="classWagon.html">Wagon</a> *)</td></tr>
<tr class="separator:ad5f134fe85aa27684e3504667a8c3ba6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dada9810573fc3f9945340a82b95267"><td class="memItemLeft" align="right" valign="top"><a id="a0dada9810573fc3f9945340a82b95267"></a>
<a class="el" href="classWagon.html">Wagon</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>back</b> ()</td></tr>
<tr class="separator:a0dada9810573fc3f9945340a82b95267"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a508f95061ccf4a3ac0b9fd64429467cf"><td class="memItemLeft" align="right" valign="top"><a id="a508f95061ccf4a3ac0b9fd64429467cf"></a>
<a class="el" href="classWagon.html">Wagon</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>front</b> ()</td></tr>
<tr class="separator:a508f95061ccf4a3ac0b9fd64429467cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0f2e004c38b09e1232459cf91b76e80"><td class="memItemLeft" align="right" valign="top"><a id="ad0f2e004c38b09e1232459cf91b76e80"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pop_back</b> ()</td></tr>
<tr class="separator:ad0f2e004c38b09e1232459cf91b76e80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad365f806c00d6bf4e290cc083deb1db"><td class="memItemLeft" align="right" valign="top"><a id="aad365f806c00d6bf4e290cc083deb1db"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pop_front</b> ()</td></tr>
<tr class="separator:aad365f806c00d6bf4e290cc083deb1db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c82c8a4da1c94aea9aafc67428be890"><td class="memItemLeft" align="right" valign="top"><a id="a8c82c8a4da1c94aea9aafc67428be890"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> ()</td></tr>
<tr class="separator:a8c82c8a4da1c94aea9aafc67428be890"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02556dd83ff542139c0d41e01e312c0e"><td class="memItemLeft" align="right" valign="top"><a id="a02556dd83ff542139c0d41e01e312c0e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>empty</b> ()</td></tr>
<tr class="separator:a02556dd83ff542139c0d41e01e312c0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a734a00f56fb70f0b468266a2a201f0c1"><td class="memItemLeft" align="right" valign="top"><a id="a734a00f56fb70f0b468266a2a201f0c1"></a>
<a class="el" href="classWagon.html">Wagon</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (int i)</td></tr>
<tr class="separator:a734a00f56fb70f0b468266a2a201f0c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2487e16d3944a5207b46b6c49853cfd2"><td class="memItemLeft" align="right" valign="top"><a id="a2487e16d3944a5207b46b6c49853cfd2"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a2487e16d3944a5207b46b6c49853cfd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cdb82c9ef4972a537da62f87048ed58"><td class="memItemLeft" align="right" valign="top"><a id="a8cdb82c9ef4972a537da62f87048ed58"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:a8cdb82c9ef4972a537da62f87048ed58"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a263c605661dce4b1c69ba966b552fc41"><td class="memItemLeft" align="right" valign="top"><a id="a263c605661dce4b1c69ba966b552fc41"></a>
QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const</td></tr>
<tr class="separator:a263c605661dce4b1c69ba966b552fc41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0e4833832468ee556d4d011eeeeb410"><td class="memItemLeft" align="right" valign="top"><a id="ac0e4833832468ee556d4d011eeeeb410"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)</td></tr>
<tr class="separator:ac0e4833832468ee556d4d011eeeeb410"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="train_8h_source.html">train.h</a></li>
<li>src/train.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
